=== debian/changelog ===
blender (2.80+dfsg-3) unstable; urgency=medium

  * Upload to unstable (Closes: #925645)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 26 Aug 2019 22:46:07 +0200

blender (2.80+dfsg-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0005-fix_ftbfs_on_i386.patch added
    - 0006-add_ppc64el-s390x_support.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Aug 2019 20:33:28 +0200

blender (2.80+dfsg-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/patches/: patchset rebased against v2.80
  * debian/:
    - repacking reloaded
    - drop old useless stuff
  * debian/control:
    - add python3-numpy to build-depends
    - debhelper bumped to v12
  * debian/rules:
    - drop dh_strip overriding
    - use system-wide GLEW library
    - drop now-useless removal entries
  * debian/copyright: unused license entries dropped
  * debian/watch: add xz compression on repacking

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 01 Aug 2019 00:55:44 +0200

blender (2.79.b+dfsg0-7) unstable; urgency=medium

  * debian/patches/0007-fix_OpenJPEG2_build.patch:
    fix disruptive change (Closes: #927809)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Apr 2019 21:43:18 +0200

blender (2.79.b+dfsg0-6) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0011-adapt_build_against_OIIO2.patch added
  * debian/control:
    - force OIIO b-dep to at least v2.0.0
    - S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Jan 2019 22:04:18 +0100

blender (2.79.b+dfsg0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 0010-fix_PyRNA_with_Python3.7.patch added (Closes: #915143)
  * debian/control: S-V bump 4.1.5 -> 4.2.1 (no changes needed)
  * debian/rules: drop useless get-orig-source target

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Dec 2018 22:33:26 +0100

blender (2.79.b+dfsg0-4) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0009-fix_gcc-8_ftbfs.patch updated (Closes: #904153)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jul 2018 21:33:45 +0200

blender (2.79.b+dfsg0-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - #0001 -> #0006 refreshed
    - 0009-fix_gcc-8_ftbfs.patch added (Closes: #897713)
  * debian/control: S-V bump 4.1.3 -> 4.1.5 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 19 Jul 2018 14:25:31 +0200

blender (2.79.b+dfsg0-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated (Closes: #888350)
    - 0008-fix_building_with_latest_versions_of_FFmpeg.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Jun 2018 22:34:18 +0200
